Does anyone have personal experience using this software with Snow Leopard?

agmetal

macrumors member
Original poster
Feb 27, 2009
60
0
Hey guys, I've got an old Titanium PowerBook G4 running Tiger, and I'm planning to upgrade to a new iMac soon. I'm trying to find out how much of my existing software will continue to work. I was told that Rosetta is an optional install, so I'll probably install it to be on the safe side.

Anyway, here's what I have in terms of audio/music stuff:

Logic Express 7
MOTU Digital Performer 5
Reason 3.0
Finale 2007

I don't think I use any plugins that didn't come with DP or Logic, and I prefer DP over Logic for recording, but I usually use Reason for my sequencing and as a softsynth via ReWire.
 

pkoch1

macrumors 6502a
Oct 3, 2007
527
0
Boston
I can't speak about those versions, but if you do have to upgrade, I am running later versions of all of those (Reason 4, Finale 2009, Logic 8, DP6) and they all work just as well for me on 10.6 as they did on 10.5
 

agmetal

macrumors member
Original poster
Feb 27, 2009
60
0
I can't speak about those versions, but if you do have to upgrade, I am running later versions of all of those (Reason 4, Finale 2009, Logic 8, DP6) and they all work just as well for me on 10.6 as they did on 10.5
Having all that stuff and being in Boston, are you at Berklee? I definitely miss getting my free upgrades from the Berklee SCSC :(
 

agmetal

macrumors member
Original poster
Feb 27, 2009
60
0
I guess there's no way I can get those updates through Berklee since I'm not a student there anymore?
 

pkoch1

macrumors 6502a
Oct 3, 2007
527
0
Boston
I guess there's no way I can get those updates through Berklee since I'm not a student there anymore?
Unfortunately no. :( The software companies give us licenses to the students for as long as they are currently enrolled.
 

agmetal

macrumors member
Original poster
Feb 27, 2009
60
0
Yeah, that's what I thought...re-read the info on the program on the Berklee site, too.

I called MOTU yesterday and they couldn't give me a definitive answer, but they said it would probably work but have some minor issues. Still trying to find out about Logic 7 and Reason 3, not finding much in the way of answers about those. If Finale doesn't work, though, it's a good excuse to finally crossgrade to the (far superior, IMO) Sibelius.
 

agmetal

macrumors member
Original poster
Feb 27, 2009
60
0
I got my computer on Tuesday, and have finally had some time to try this stuff. DP5 doesn't seem to want to work. Finale appears to work, but the GPO part doesn't. Logic 7 seems to work, but I haven't spent any real time with it yet. I still haven't tried Reason 3 yet, because I'm not sure where my CDs for it are, and it needs those to run the first time.
 

agmetal

macrumors member
Original poster
Feb 27, 2009
60
0
Just as an update...Reason 3.0 seems to work pretty much perfectly.
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.